package org.psesquared.server.authentication.api.controller;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * A request for changing the password containing the old, i.e. current, and new
 * password.
 *
 * @param oldPassword The user's current password
 * @param newPassword The new password
 */
public record ChangePasswordRequest(
    @JsonProperty(value = "password", required = true) String oldPassword,
    @JsonProperty(value = "new_password", required = true) String newPassword) {
}
