package org.psesquared.server.authentication.api.service;

import java.nio.charset.StandardCharsets;
import java.util.Objects;

import org.apache.commons.io.IOUtils;

/**
 * This class allows reading text from files.
 */
public final class ResourceReader {

  /**
   * Private constructor - cannot be called.
   */
  private ResourceReader() { }

  /**
   * This method reads text from a file specified by the given path.
   *
   * @param path The path to the file
   * @return The contents of the file
   * @throws java.io.IOException If an I/O error occurs
   */
  public static String readFileToString(final String path)
      throws java.io.IOException {
    return IOUtils.toString(Objects.requireNonNull(
            ResourceReader.class.getClassLoader().getResourceAsStream(path)),
            StandardCharsets.UTF_8);

  }

}
