package org.psesquared.server.config;

import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * The properties class that is used to return some externally stored URLs.
 *
 * @param dashboardBaseUrl The base URL of the PSE-Dashboard
 * @param verificationUrl The URL for account verification
 * @param resetUrlPath The URL for resetting the password of a user
 */
@ConfigurationProperties("email")
public record EmailConfigProperties(String dashboardBaseUrl,
                                    String verificationUrl,
                                    String resetUrlPath) {
}
