package org.psesquared.server.config;

import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * The properties class that is used to return externally stored signing key.
 *
 * @param jwtAuthSigningKey The base64-encoded JWT signing key for
 *                          authentication
 * @param jwtUrlSigningKey The base64-encoded JWT signing key for URLs
 * @param emailSigningKey The base64-encoded salt for email encryption
 */
@ConfigurationProperties("security")
public record SecurityConfigProperties(String jwtAuthSigningKey,
                                       String jwtUrlSigningKey,
                                       String emailSigningKey) {
}
