package org.psesquared.server.authentication.api.service;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import org.psesquared.server.model.User;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
public class EmailServiceTests {

    @Autowired
    private EmailServiceImpl emailService;

    private static final String recipient = "pse-squared@outlook.com";

    private User user;

    @BeforeEach
    void beforeEach() {
        user = User.builder()
                .username("Jeff")
                .email(recipient)
                .build();
    }

    @Test
    void sendValidationMail() {
        emailService.sendVerification(user.getEmail(), user);
    }

    @Test
    void sendPasswordResetMail() {
        emailService.sendPasswordReset(user.getEmail(), user);
    }
}
