package org.psesquared.server.episode.actions.api.data.access;

import static org.junit.jupiter.api.Assertions.assertDoesNotThrow;
import static org.junit.jupiter.api.Assertions.assertEquals;

import java.io.File;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.psesquared.server.BaseTest;
import org.psesquared.server.model.Subscription;

public class EpisodeDaoTests extends BaseTest {

    @Test
    public void deleteCascadeTest() {
        String username = "testUser0";
        assertDoesNotThrow(() -> authenticationDao.findByUsername(username).orElseThrow());
        String subscriptionsUrl = new File("testfeeds/testPodcast0.xml").toURI().toString();
        Subscription subscription = subscriptionDao.findByUrl(subscriptionsUrl).orElseThrow();
        assertDoesNotThrow(() -> subscription.getEpisodes());
        Assertions.assertEquals(numberOfEpisodesPerSubscription,
                episodeActionDao.findByUserUsernameAndEpisodeSubscriptionUrl(username, subscriptionsUrl).size());
        episodeDao.deleteAll(subscription.getEpisodes());
        Assertions.assertEquals(0,
                episodeActionDao.findByUserUsernameAndEpisodeSubscriptionUrl(username, subscriptionsUrl).size());
    }

}
