package org.psesquared.server.subscriptions.api.data.access;

import org.junit.jupiter.api.Test;
import org.psesquared.server.BaseTest;
import org.psesquared.server.model.Subscription;

import static org.junit.jupiter.api.Assertions.*;

import java.io.File;

public class SubscriptionDaoTests extends BaseTest {

    @Test
    public void findByUrlTest() {
        String url = new File("testfeeds/testPodcast0.xml").toURI().toString();
        Subscription subscription = subscriptionDao.findByUrl(url).orElseThrow();
        assertEquals(subscription.getUrl(), url);
    }

    @Test
    public void existsByUrlTest() {
        String url = new File("testfeeds/testPodcast0.xml").toURI().toString();
        boolean exists = subscriptionDao.existsByUrl(url);
        assertTrue(exists);
        boolean notExists = subscriptionDao.existsByUrl("blablabla");
        assertFalse(notExists);
    }

    @Test
    public void testCascadeDelete() {
        String url = new File("testfeeds/testPodcast0.xml").toURI().toString();
        Subscription subscription = subscriptionDao.findByUrl(url).orElseThrow();
        assertDoesNotThrow(() -> subscriptionDao.delete(subscription));
    }

}
